Bug 209904 - Policycoreutils requires rhpl, that requires pyxf86config and wireless-tools
Summary: Policycoreutils requires rhpl, that requires pyxf86config and wireless-tools
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-07 20:53 UTC by Jan Pazdziora
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-11-28 14:54:03 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2006-10-07 20:53:20 UTC
Description of problem:

When trying to upgrade policycoreutils to 1.30.10-2.fc5, yum tries to also
install rhpl, pyxf86config, and wireless-tools. Why should anything concerning
xf86 or wireless be forced to a machine which doesn't have any XFree86, nor any
wireless (it is a Xen based server)?

Please do not add dependencies that produce unnecessary software being installed. 

Version-Release number of selected component (if applicable):

1.30.10-2.fc5

How reproducible:

Always.

Steps to Reproduce:
1. # rpm -q policycoreutils
policycoreutils-1.30.8-1.fc5
2. # yum upgrade policycoreutils
  
Actual results:

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 policycoreutils         i386       1.30.10-2.fc5    updates           305 k
Installing for dependencies:
 pyxf86config            i386       0.3.24-1         core               64 k
 rhpl                    i386       0.185-1          core              247 k
 wireless-tools          i386       1:28-0.pre13.5.1  core              110 k

Transaction Summary
=============================================================================
Install      3 Package(s)
Update       1 Package(s)
Remove       0 Package(s)
Total download size: 726 k

Expected results:

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 policycoreutils         i386       1.30.10-2.fc5    updates           305 k

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       1 Package(s)
Remove       0 Package(s)
Total download size: 305 k

Additional info:

The problem was probably created by changes coming from bug 192559.

Comment 1 Daniel Walsh 2006-11-28 14:54:03 UTC
Fixed in FC6 and beyond.


Note You need to log in before you can comment on or make changes to this bug.